listUserSessions
GET
/api/auth/list-sessions
const url = 'https://example.com/api/auth/list-sessions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/auth/list-sessions \ --header 'Authorization: Bearer <token>'List all active sessions for the user
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
object
id
required
string
expiresAt
required
string format: date-time
token
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
ipAddress
string
userAgent
string
userId
required
string
twoFactorVerified
boolean
Example
[ { "twoFactorVerified": false }]Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}